uniform sampler2DRect sceneTexture;
uniform sampler2DRect intensityMapTexture;
varying vec2 texcoord_scene;
varying vec2 texcoord_intensityMap;

void main(void)
{
	vec4 sceneColor;
	vec4 blendColor;

	sceneColor = texture2DRect(sceneTexture, gl_FragCoord);
	blendColor = texture2DRect(intensityMapTexture, gl_FragCoord);
	gl_FragColor = sceneColor * blendColor;
}